Show / Hide Table of Contents

# Struct ImGuiTextRangePtr

##### Inherited Members

System.ValueType.Equals(System.Object)
System.ValueType.GetHashCode()
System.ValueType.ToString()
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetType()

###### Namespace: ImGuiNET

###### Assembly: ImGui.NET.dll

##### Syntax

    public struct ImGuiTextRangePtr

### Constructors

| Improve this Doc View Source

#### ImGuiTextRangePtr(ImGuiTextRange*)

##### Declaration

    public ImGuiTextRangePtr(ImGuiTextRange*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextRange* | nativePtr |

| Improve this Doc View Source

#### ImGuiTextRangePtr(IntPtr)

##### Declaration

    public ImGuiTextRangePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

### Properties

| Improve this Doc View Source

#### b

##### Declaration

    public IntPtr b { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### e

##### Declaration

    public IntPtr e { get; set; }

##### Property Value

Type | Description
--- | ---
System.IntPtr |

| Improve this Doc View Source

#### NativePtr

##### Declaration

    public ImGuiTextRange*NativePtr { get; }

##### Property Value

Type | Description
--- | ---
ImGuiTextRange* |

### Methods

| Improve this Doc View Source

#### Destroy()

##### Declaration

    public void Destroy()

| Improve this Doc View Source

#### empty()

##### Declaration

    public bool empty()

##### Returns

Type | Description
--- | ---
System.Boolean |

| Improve this Doc View Source

#### split(Byte, out ImVector)

##### Declaration

    public void split(byte separator, out ImVector out)

##### Parameters

Type | Name | Description
--- | --- | ---
System.Byte | separator |
ImVector | out |

### Operators

| Improve this Doc View Source

#### Implicit(ImGuiTextRange* to ImGuiTextRangePtr)

##### Declaration

    public static implicit operator ImGuiTextRangePtr(ImGuiTextRange*nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextRange* | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTextRangePtr |

| Improve this Doc View Source

#### Implicit(ImGuiTextRangePtr to ImGuiTextRange*)

##### Declaration

    public static implicit operator ImGuiTextRange*(ImGuiTextRangePtr wrappedPtr)

##### Parameters

Type | Name | Description
--- | --- | ---
ImGuiTextRangePtr | wrappedPtr |

##### Returns

Type | Description
--- | ---
ImGuiTextRange* |

| Improve this Doc View Source

#### Implicit(IntPtr to ImGuiTextRangePtr)

##### Declaration

    public static implicit operator ImGuiTextRangePtr(IntPtr nativePtr)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IntPtr | nativePtr |

##### Returns

Type | Description
--- | ---
ImGuiTextRangePtr |